package org.netkernel.mod.architecture.bits.channel;

public class Shuffle
{
	private int[] mPositions;
	private float mBadness;
	
	public Shuffle(int[] aPositions)
	{	mPositions=aPositions;
	}
	
	public int get(int aP)
	{	return mPositions[aP];
	}
	
	public int size()
	{	return mPositions.length;
	}
	
	public void setBadness(float aBadness)
	{	mBadness=aBadness;
	}
	
	public float getBadness()
	{	return mBadness;
	}
	
	public String toString()
	{	StringBuilder sb=new StringBuilder();
		for (int i=0; i<mPositions.length; i++)
		{	if (i>0) sb.append(":");
			sb.append(Integer.toString(mPositions[i]));
		}
		sb.append(" ->");
		sb.append(mBadness);
		return sb.toString();
	}
	
	public int[] getPositions()
	{	return mPositions;
	}
	
	public boolean equals(Object aOther)
	{	boolean result=false;
		if (aOther instanceof Shuffle)
		{	result=true;
			Shuffle other=(Shuffle)aOther;
			if (other.size()!=this.size())
			{	result=false;
			}
			else
			{	for (int i=0; i<this.size(); i++)
				{	if (mPositions[i]!=other.mPositions[i])
					{	result=false;
						break;
					}
				}
			}
		}
		return result;
	}
	
	public int hashCode()
	{	return toString().hashCode();
	}
}
