package tools.classtrace;

import java.net.URLEncoder;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.IHDSNodeList;
import org.netkernel.layer0.representation.impl.HDSInversionImpl;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class SpaceExplorerClassTraceToolAccessor extends StandardAccessorImpl
{
	public SpaceExplorerClassTraceToolAccessor()
	{	this.declareThreadSafe();			
	}

	@Override
	public void onSource(INKFRequestContext aContext) throws Exception
	{
		String moduleHash=aContext.getThisRequest().getArgumentValue("entityId");
		INKFResponse resp=aContext.createResponseFrom("");
		resp.setHeader("httpResponse:/redirect", "/tools/classtrace?module="+moduleHash+"&class=");
	}

	
}
